Index: rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_input.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_input.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_input.c	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -128,9 +116,9 @@
 
 /*
- *  æ»ãå¤
+ *  戻り値
  *
- *      RET_OK		æ­£å¸¸
- *	RET_DROP	ã¨ã©ã¼ãã»ã°ã¡ã³ããç ´æ£ããã
- *	RET_RST_DROP	ã¨ã©ã¼ãRST ãéä¿¡ããã»ã°ã¡ã³ããç ´æ£ããã
+ *      RET_OK		正常
+ *	RET_DROP	エラー、セグメントを破棄する。
+ *	RET_RST_DROP	エラー、RST を送信し、セグメントを破棄する。
  */
 
@@ -142,5 +130,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
@@ -159,5 +147,5 @@
 
 /*
- *  parse_option -- TCP ãããã®ãªãã·ã§ã³ãè§£æããã
+ *  parse_option -- TCP ヘッダのオプションを解析する。
  */
 
@@ -214,5 +202,5 @@
 
 /*
- *  set_rexmt_timer -- æ°ããå¾å¾©æéãåéããåéã¿ã¤ããæ´æ°ããã
+ *  set_rexmt_timer -- 新しい往復時間を収集し、再送タイマを更新する。
  */
 
@@ -225,20 +213,20 @@
 	if (cep->srtt != 0) {
 		/*
-		 *  srtt: å¹³æ»åããã RTT
+		 *  srtt: 平滑化された RTT
 		 *
-		 *  è¨æ¸¬ããã RTT (rtt) ã¨ç¾å¨ã®å¹³æ»åããã RTT (srtt) ã®å·® (delta) ãæ±ããã
+		 *  計測された RTT (rtt) と現在の平滑化された RTT (srtt) の差 (delta) を求める。
 		 *
-		 *  delta ã¯ 2 ãããå·¦ã·ãã ( 4 å) ããå¤ã§ä¿æããã
-		 *  srtt  ã¯ 5 ãããå·¦ã·ãã (32 å) ããå¤ã§ä¿æããã¦ããã
+		 *  delta は 2 ビット左シフト ( 4 倍) した値で保持する。
+		 *  srtt  は 5 ビット左シフト (32 倍) した値で保持されている。
 		 *
 		 *    delta = rtt / 8 - srtt / 8
 		 *
-		 *  æ°ãã srtt ã¯
+		 *  新しい srtt は
 		 *
 		 *    srtt = rtt / 8 + srtt * 7 / 8
 		 *         = srtt + (rtt / 8 - srtt / 8)
 		 *
-		 *  ã§è¨ç®ããã
-		 *  ãã®ãããrtt ã 2 ãããå·¦ã·ããããsrtt ã (5 - 2) ãããå³ã·ãããã¦ delta ãæ±ããã
+		 *  で計算する。
+		 *  このため、rtt を 2 ビット左シフトし、srtt を (5 - 2) ビット右シフトして delta を求める。
 		 */
 		delta = ((rtt - 1) << TCP_DELTA_SHIFT) - (cep->srtt >> (TCP_SRTT_SHIFT - TCP_DELTA_SHIFT));
@@ -248,5 +236,5 @@
 
 		/*
-		 *  delta ã®çµ¶å¯¾å¤ | delta | ãæ±ããã
+		 *  delta の絶対値 | delta | を求める。
 		 */
 		if (delta < 0)
@@ -254,16 +242,16 @@
 
 		/*
-		 *  rttvar: å¹³æ»åãããåæ£
+		 *  rttvar: 平滑化された分散
 		 *
-		 *  rttvar ã¯ 4 ãããå·¦ã·ãã (16 å) ããå¤ã§ä¿æããã¦ããã
+		 *  rttvar は 4 ビット左シフト (16 倍) した値で保持されている。
 		 *
 		 *    delta = |delta| / 4 - rttvar / 4
 		 *
-		 *  æ°ãã rttvar ã¯
+		 *  新しい rttvar は
 		 *
 		 *    rttvar = |delta|/ 4 + rttvar * 3 /4
 		 *           = rttvar + (|delta| / 4 - rttvar / 4)
 		 *
-		 *  ã§è¨ç®ããã
+		 *  で計算する。
 		 */
 		delta -= cep->rttvar >> (TCP_RTTVAR_SHIFT - TCP_DELTA_SHIFT);
@@ -274,7 +262,7 @@
 	else {
 		/*
-		 *  ã¾ã  srtt ã®è¨­å®ãè¡ããã¦ããªãã¨ãã¯ãä»åè¨æ¸¬ããã RTT ãä½¿ç¨ããã
-		 *  å¹³æ»åããã RTT (srtt) ã«ã¯ãRTT ã 5 ãããå·¦ã·ãã (32å) ããå¤ã
-		 *  å¹³æ»åãããåæ£ (rttvar) ã«ã¯ãRTT ã® 1/2 ã 4 ãããå·¦ã·ãã (16å) ããå¤ã
+		 *  まだ srtt の設定が行われていないときは、今回計測された RTT を使用する。
+		 *  平滑化された RTT (srtt) には、RTT を 5 ビット左シフト (32倍) した値。
+		 *  平滑化された分散 (rttvar) には、RTT の 1/2 を 4 ビット左シフト (16倍) した値。
 		 */
 		cep->srtt   = rtt <<  TCP_SRTT_SHIFT;
@@ -283,10 +271,10 @@
 
 	/*
-	 *  rtt ã®æ¸¬å®ãçµäºããåéåæ°ããªã»ããããã
+	 *  rtt の測定を終了し、再送回数をリセットする。
 	 */
 	cep->rtt = cep->rxtshift = 0;
 
 	/*
-	 *  RTT ã«è¨±ãããæå°å¤ ã¨ rtt + 2 ã®å¤§ããªå¤ã®æ¹ãåéã¿ã¤ã ã¢ã¦ãã®æå°å¤ã«ããã
+	 *  RTT に許される最小値 と rtt + 2 の大きな値の方を再送タイムアウトの最小値にする。
 	 */
 	if (rtt + 2 < TCP_TVAL_MIN)
@@ -301,5 +289,5 @@
 
 /*
- *  reassemble -- åä¿¡ã»ã°ã¡ã³ããåæ§æãããé çªéãã«åä¿¡ããã¨ãã®å¦ç
+ *  reassemble -- 受信セグメントを再構成する。順番通りに受信したときの処理
  */
 
@@ -313,5 +301,5 @@
 	if (tcph->sum > cep->rbufsz - cep->rwbuf_count) {
 		/*
-		 *  åä¿¡ã¦ã£ã³ããããã¡ã«ç©ºãããªãã¨ãã¯ç ´æ£ããã
+		 *  受信ウィンドバッファに空きがないときは破棄する。
 		 */
 		NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_DROP_SEGS], 1);
@@ -324,7 +312,7 @@
 	         cep->fsm_state == TCP_FSM_ESTABLISHED) {
 		/*
-		 *  é çªéãã«ã»ã°ã¡ã³ããåä¿¡ããæã®å¦ç
-		 *  åä¿¡ã»ã°ã¡ã³ãã®ä¸¦ã¹æ¿ãã¯ä¸è¦ãªã®ã§
-		 *  ãã®ã¾ã¾åä¿¡ã¦ã£ã³ããããã¡ã«æ¸ãè¾¼ãã
+		 *  順番通りにセグメントを受信した時の処理
+		 *  受信セグメントの並べ替えは不要なので
+		 *  そのまま受信ウィンドバッファに書き込む。
 		 */
 
@@ -341,12 +329,11 @@
 		qhdr = GET_TCP_Q_HDR(input, thoff);
 
-		/*  TCP ãããã®ä½ç½®ãä¿å­ããã*/
+		/*  TCP ヘッダの位置を保存する。*/
 		SET_IP_TCP_Q_HDR_OFFSET(input, thoff);
 
-		/* SDU ã®ãªãã»ããï¼å
-ã¯ã¦ã£ã³ããµã¤ãºï¼ããªã»ããããã*/
+		/* SDU のオフセット（元はウィンドサイズ）をリセットする。*/
 		qhdr->soff = 0;
 
-		/* ãã¼ã¿ãåä¿¡ã¦ã£ã³ããããã¡ã«æ¸ãè¾¼ãã*/
+		/* データを受信ウィンドバッファに書き込む。*/
 		TCP_WRITE_RWBUF(cep, input, thoff);
 		}
@@ -359,11 +346,10 @@
 
 /*
- *  listening -- ååãªã¼ãã³ãã¦ï¼ç¶æ
-ã LISTEN ã®å¦ç
+ *  listening -- 受動オープンして，状態が LISTEN の処理
  *
- *    æ»ãå¤:
- *      RET_OK		æ­£å¸¸
- *	RET_DROP	ã¨ã©ã¼ãã»ã°ã¡ã³ããç ´æ£ããã
- *	RET_RST_DROP	ã¨ã©ã¼ãRST ãéä¿¡ããã»ã°ã¡ã³ããç ´æ£ããã
+ *    戻り値:
+ *      RET_OK		正常
+ *	RET_DROP	エラー、セグメントを破棄する。
+ *	RET_RST_DROP	エラー、RST を送信し、セグメントを破棄する。
  */
 
@@ -376,5 +362,5 @@
 
 	/* 
-	 *  ãã©ã°ã« RST ãã»ããããã¦ããã°ç ´æ£ããã
+	 *  フラグに RST がセットされていれば破棄する。
 	 */
 	if (tcph->flags & TCP_FLG_RST)
@@ -382,6 +368,6 @@
 
 	/*  
-	 *  ãã©ã°ã« ACK ãã»ãããã¦ãããã°ã
-	 *  ãªã»ãããéã£ã¦ç ´æ£ããã
+	 *  フラグに ACK がセットさてれいれば、
+	 *  リセットを送って破棄する。
 	 */
 	if (tcph->flags & TCP_FLG_ACK)
@@ -389,5 +375,5 @@
 
 	/* 
-	 *  ãã©ã°ã« SYN ãã»ããããã¦ããªããã°ãã°ç ´æ£ããã
+	 *  フラグに SYN がセットされていなければれば破棄する。
 	 */
 	if ((tcph->flags & TCP_FLG_SYN) == 0)
@@ -395,21 +381,21 @@
 
 	/*
-	 *  åä¿¡å¯è½ãª IP ã¢ãã¬ã¹ã¨ãã¼ãçªå·ã§ãããã¨ãç¢ºèªããã
+	 *  受信可能な IP アドレスとポート番号であることを確認する。
 	 */
 	if (!tcp_is_addr_accept(input, thoff))
 		return RET_DROP;
 
-	/* ç¸æã®ã¢ãã¬ã¹ãè¨é²ããã*/
+	/* 相手のアドレスを記録する。*/
 	IN_COPY_TO_HOST(&cep->dstaddr.ipaddr, input);
 	cep->dstaddr.portno = tcph->sport;
 
-	/* ãªãã·ã§ã³ãå¦çããã*/
+	/* オプションを処理する。*/
 	parse_option(tcph, cep);
 
-	/* ã·ã¼ã±ã³ã¹çªå·ãåæåããã*/
+	/* シーケンス番号を初期化する。*/
 	if (tcp_iss == 0)
 		tcp_init_iss();
 
-	/* èªåã®ã·ã¼ã±ã³ã¹çªå·ã®åæå¤ãè¨é²ããã*/
+	/* 自分のシーケンス番号の初期値を記録する。*/
 	if (iss != 0)
 		cep->iss = iss;
@@ -419,15 +405,15 @@
 	tcp_iss += TCP_ISS_INCR() / 4;
 
-	/* ç¸æã®ã·ã¼ã±ã³ã¹çªå·ã®åæå¤ãè¨é²ããã*/
+	/* 相手のシーケンス番号の初期値を記録する。*/
 	cep->irs = tcph->seq;
 
-	/* éåä¿¡ã·ã¼ã±ã³ã¹çªå·ãåæåããã*/
+	/* 送受信シーケンス番号を初期化する。*/
 	init_send_seq(cep);
 	init_receive_seq(cep);
 
-	/* éä¿¡ã¦ã¤ã³ããµã¤ãºãè¨­å®ããã*/
+	/* 送信ウインドサイズを設定する。*/
 	cep->snd_wnd = tcph->win;
 
-	/* æçµè¨­å® */
+	/* 最終設定 */
 	cep->flags    |= TCP_CEP_FLG_ACK_NOW;
 	cep->fsm_state = TCP_FSM_SYN_RECVD;
@@ -438,11 +424,10 @@
 
 /*
- *  syn_sent -- è½åãªã¼ãã³ãã¦ãç¶æ
-ã SYN éä¿¡æ¸ã®å¦ç
+ *  syn_sent -- 能動オープンして、状態が SYN 送信済の処理
  *
- *    æ»ãå¤:
- *      RET_OK		æ­£å¸¸
- *	RET_DROP	ã¨ã©ã¼ãã»ã°ã¡ã³ããç ´æ£ããã
- *	RET_RST_DROP	ã¨ã©ã¼ãRST ãéä¿¡ããã»ã°ã¡ã³ããç ´æ£ããã
+ *    戻り値:
+ *      RET_OK		正常
+ *	RET_DROP	エラー、セグメントを破棄する。
+ *	RET_RST_DROP	エラー、RST を送信し、セグメントを破棄する。
  */
 
@@ -453,9 +438,9 @@
 
 	/*
-	 *  ç¸æããåä¿¡ç¢ºèªãéããã¦æ¥ã¦ãã
+	 *  相手から受信確認が送られて来ても、
 	 *
-	 *    ACK <= iss && éä¿¡ããæå¤§ SEQ (snd_max) < ACK
+	 *    ACK <= iss && 送信した最大 SEQ (snd_max) < ACK
 	 *
-	 *  ãªãããªã»ãããéã£ã¦ã»ã°ã¡ã³ããç ´æ£ããã
+	 *  なら、リセットを送ってセグメントを破棄する。
 	 */
 	if ((tcph->flags & TCP_FLG_ACK) &&
@@ -464,6 +449,6 @@
 
 	/*
-	 *  RST/ACK ãã©ã°ã®å¿ç­ãããã°ããã¼ããéãã¦ããªã
-	 *  ãã¨ãæå³ãã¦ããã
+	 *  RST/ACK フラグの応答があれば、ポートが開いていない
+	 *  ことを意味している。
 	 */
 	if (tcph->flags & TCP_FLG_RST) {
@@ -476,31 +461,29 @@
 
 	/*
-	 *  SYN ãã©ã°ããªããã°ã»ã°ã¡ã³ããç ´æ£ããã
+	 *  SYN フラグがなければセグメントを破棄する。
 	 */
 	if ((tcph->flags & TCP_FLG_SYN) == 0)
 		return RET_DROP;
 
-	cep->snd_wnd = tcph->win;	/* snd_wnd: ç¸æã®åä¿¡å¯è½ã¦ã£ã³ããµã¤ãº	*/
-	cep->irs     = tcph->seq;	/* irs:     ç¸æã®ã·ã¼ã±ã³ã¹çªå·ã®åæå¤	*/
-	init_receive_seq(cep);		/* éåä¿¡ã·ã¼ã±ã³ã¹çªå·ãåæåããã		*/
+	cep->snd_wnd = tcph->win;	/* snd_wnd: 相手の受信可能ウィンドサイズ	*/
+	cep->irs     = tcph->seq;	/* irs:     相手のシーケンス番号の初期値	*/
+	init_receive_seq(cep);		/* 送受信シーケンス番号を初期化する。		*/
 
 	if (tcph->flags & TCP_FLG_ACK) {
 		/*
-		 *  ACK ãã©ã°ãããã¨ãã®å¦ç
+		 *  ACK フラグがあるときの処理
 		 *
-		 *  åä¿¡ãæå¾
-ãã¦ããæå¤§ã® SEQ (rcv_adv) ã
-		 *  åä¿¡å¯è½ãªã¦ã£ã³ããµã¤ãº (rcv_wnd) åé²ããã
-		 */
-		cep->rcv_adv += cep->rcv_wnd;	/* rcv_adv: åä¿¡ãæå¾
-ãã¦ããæå¤§ã® SEQ	*/
-						/* rcv_wnd: åä¿¡å¯è½ãªã¦ã£ã³ããµã¤ãº		*/
-
-		/* æªç¢ºèªã®æå°éä¿¡ SEQ (snd_una) ã SYN å (1 ãªã¯ããã) é²ããã*/
+		 *  受信を期待している最大の SEQ (rcv_adv) を
+		 *  受信可能なウィンドサイズ (rcv_wnd) 分進める。
+		 */
+		cep->rcv_adv += cep->rcv_wnd;	/* rcv_adv: 受信を期待している最大の SEQ	*/
+						/* rcv_wnd: 受信可能なウィンドサイズ		*/
+
+		/* 未確認の最小送信 SEQ (snd_una) を SYN 分 (1 オクテット) 進める。*/
 		cep->snd_una ++;
 
 #ifdef TCP_CFG_DELAY_ACK
 
-		if (tcph->sum != 0)		/* tcph->sum ã¯ SDU é· */
+		if (tcph->sum != 0)		/* tcph->sum は SDU 長 */
 			cep->flags |= TCP_CEP_FLG_DEL_ACK;
 		else
@@ -515,8 +498,7 @@
 		if (cep->flags & TCP_CEP_FLG_NEED_FIN) {
 			/*
-			 *  CEP ã§ FIN éä¿¡ãè¦æ±ããã¦ããã°ã
-			 *  åæ­å¦çãéå§ãã
-			 *  CEP ã®ç¶æ
-ã FIN Wait 1 ã«ããã
+			 *  CEP で FIN 送信が要求されていれば、
+			 *  切断処理を開始し、
+			 *  CEP の状態を FIN Wait 1 にする。
 			 */
 			cep->fsm_state = TCP_FSM_FIN_WAIT_1;
@@ -526,8 +508,6 @@
 		else {
 			/*
-			 *  ç¸æãã ACK ãå¿ç­ãããã®ã§ã
-			 *  CEP ã®ç¶æ
-ã ã³ãã¯ã·ã§ã³éè¨­å®äºç¶æ
-ã«ããã
+			 *  相手から ACK が応答されたので、
+			 *  CEP の状態を コネクション開設完了状態にする。
 			 */
 			cep->timer[TCP_TIM_KEEP] = TCP_TVAL_KEEP_IDLE;
@@ -540,5 +520,5 @@
 			if (cep->snd_nblk_tfn == TFN_TCP_CON_CEP) {
 
-				/* ç¸æã®ã¢ãã¬ã¹ãã³ãã¼ããã*/
+				/* 相手のアドレスをコピーする。*/
 				*cep->p_dstaddr = cep->dstaddr;
 
@@ -576,6 +556,5 @@
 		}
 	else {
-		/* ACK ãã©ã°ããªãã¨ãã¯ãACK ãéã£ã¦ãCEP ã®ç¶æ
-ã SYN åä¿¡æ¸ã¿ã«ããã*/
+		/* ACK フラグがないときは、ACK を送って、CEP の状態を SYN 受信済みにする。*/
 		cep->flags |= TCP_CEP_FLG_ACK_NOW;
 		cep->timer[TCP_TIM_REXMT] = 0;
@@ -587,5 +566,5 @@
 
 /*
- *  trim_length -- åä¿¡ãã SDU é·ãèª¿æ´ããã
+ *  trim_length -- 受信した SDU 長を調整する。
  */
 
@@ -594,28 +573,28 @@
 {
 	tcph->seq ++;
-	if (tcph->sum > cep->rcv_wnd) {		/* æ³¨æ: tcph->sum ã¯ SDU é· */
-		/*
-		 *  SDU é·ãåä¿¡ã¦ã£ã³ããµã¤ãºããå¤§ããã¨ãã¯ãåä¿¡ã¦ã£ã³ããµã¤ãºä»¥éã¯
-		 *  ç ´æ£ããFIN ã«å¿ç­ããªããã¨ã§ãç ´æ£ãããã¼ã¿ãåéãããã
+	if (tcph->sum > cep->rcv_wnd) {		/* 注意: tcph->sum は SDU 長 */
+		/*
+		 *  SDU 長が受信ウィンドサイズより大きいときは、受信ウィンドサイズ以降は
+		 *  破棄し、FIN に応答しないことで、破棄したデータを再送させる。
 		 */
 		tcph->sum    = (uint16_t)cep->rcv_wnd;
 		tcph->flags &= ~TCP_FLG_FIN;
 		}
-	cep->snd_wl1 = tcph->seq - 1;		/* cep->snd_wl1: ã¦ã£ã³ãæ´æ° SEQ çªå·	*/
+	cep->snd_wl1 = tcph->seq - 1;		/* cep->snd_wl1: ウィンド更新 SEQ 番号	*/
 
 #ifdef TCP_CFG_EXTENTIONS
-	cep->rcv_up  = tcph->seq;		/* cep->rcv_up : åä¿¡ããç·æ¥ãã¤ã³ã¿	*/
+	cep->rcv_up  = tcph->seq;		/* cep->rcv_up : 受信した緊急ポインタ	*/
 #endif
 	}
 
 /*
- *  proc_ack2 -- ACK ã®å¦ç (2)
+ *  proc_ack2 -- ACK の処理 (2)
  *
- *    æ»ãå¤
+ *    戻り値
  *
- *      RET_OK		æ­£å¸¸
- *      RET_RETURN	æ­£å¸¸ããªã¿ã¼ã³ããã
- *	RET_DROP	ã¨ã©ã¼ãã»ã°ã¡ã³ããç ´æ£ããã
- *	RET_RST_DROP	ã¨ã©ã¼ãRST ãéä¿¡ããã»ã°ã¡ã³ããç ´æ£ããã
+ *      RET_OK		正常
+ *      RET_RETURN	正常、リターンする。
+ *	RET_DROP	エラー、セグメントを破棄する。
+ *	RET_RST_DROP	エラー、RST を送信し、セグメントを破棄する。
  */
 
@@ -631,7 +610,7 @@
 
 	/*
-	 *  ç¸æã«åä¿¡ç¢ºèªããã ACK ãããã¾ã ç¢ºèªããã¦ããªã
-	 *  æå°éä¿¡ SEQ (snd_una) ãå¼ãã¨ãéä¿¡ã¦ã£ã³ããããã¡ãã
-	 *  åé¤ãã¦ãããªã¯ãããæ° (acked) ã«ãªãã
+	 *  相手に受信確認された ACK から、まだ確認されていない
+	 *  最小送信 SEQ (snd_una) を引くと、送信ウィンドバッファから
+	 *  削除してよいオクテット数 (acked) になる。
 	 */
 	acked = tcph->ack - cep->snd_una;
@@ -639,7 +618,7 @@
 
 	/*
-	 *  å¾å¾©æéè¨æ¸¬ (rtt) ãè¨­å®ããã¦ãã¦ãè¨æ¸¬éå§ SEQ ãã
-	 *  å¾ã® ACK ãåä¿¡ããããã¿ã¤ãããã¯ãªããã­ã£ã³ã»ã«ãã
-	 *  åéã¿ã¤ããåè¨­å®ããã
+	 *  往復時間計測 (rtt) が設定されていて、計測開始 SEQ より
+	 *  後の ACK を受信したら、タイマバックオフをキャンセルし、
+	 *  再送タイマを再設定する。
 	 */
 	if (cep->rtt && SEQ_GT(tcph->ack, cep->rtseq)) {
@@ -648,17 +627,16 @@
 
 	/*
-	 *  å
-¨ã¦ã®æªç¢ºèªãã¼ã¿ã ACK ãããããåéã¿ã¤ããåæ­¢ãã
-	 *  åéãè¨æ¶ãã (ããã«åºåãæç¶)ã
-	 *  ãããACK ãã¹ããããã«å¤ãã®ãã¼ã¿ããããªããåéã¿ã¤ãã«
-	 *  ç¾å¨ã®åéã¿ã¤ã ã¢ã¦ããè¨­å®ããã
-	 */
-	if (tcph->ack == cep->snd_max) {	/* cep->snd_max: éä¿¡ããæå¤§ SEQ */
+	 *  全ての未確認データが ACK されたら、再送タイマを停止し、
+	 *  再開を記憶する (さらに出力か持続)。
+	 *  もし、ACK すべき、さらに多くのデータがあるなら、再送タイマに
+	 *  現在の再送タイムアウトを設定する。
+	 */
+	if (tcph->ack == cep->snd_max) {	/* cep->snd_max: 送信した最大 SEQ */
 
 #ifdef TCP_CFG_SWBUF_CSAVE
 
 		/*
-		 * éä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½ãæå¹ã®å ´åã¯ã
-		 * éä¿¡æ¸ã¿ã§ãACKãå®äºããã¾ã§åéã¿ã¤ããå¤æ´ããªãã
+		 * 送信ウィンドバッファの省コピー機能が有効の場合は、
+		 * 送信済みで、ACKが完了するまで再送タイマを変更しない。
 		 */
 		if ((cep->flags & TCP_CEP_FLG_WBCS_MASK) == TCP_CEP_FLG_WBCS_ACKED)
@@ -674,22 +652,22 @@
 		}
 	else if (cep->timer[TCP_TIM_PERSIST] == 0) {
-	 	cep->timer[TCP_TIM_REXMT] = cep->rxtcur;	/* cep->rxtcur: ç¾å¨ã®åéã¿ã¤ã ã¢ã¦ã */
-		}
-
-	/* ç¸æãåä¿¡ç¢ºèªãããã¼ã¿ãããã¨ãã®å¦ç */
+	 	cep->timer[TCP_TIM_REXMT] = cep->rxtcur;	/* cep->rxtcur: 現在の再送タイムアウト */
+		}
+
+	/* 相手が受信確認したデータがあるときの処理 */
 	if (acked) {
-		uint32_t cw   = cep->snd_cwnd;	/* cep->snd_cwnd: è¼»è¼³ã¦ã£ã³ããµã¤ãº	*/
-		uint32_t incr = cep->maxseg;		/* cep->maxseg:   æå¤§ã»ã°ã¡ã³ããµã¤ãº	*/
-
-		/*
-		 *  æ°ãã«ç¸æãåä¿¡ç¢ºèªãããã¼ã¿ããã£ãã¨ãã¯ã
-		 *  è¼»è¼³ã¦ã£ã³ããµã¤ãºãå¤§ããããã
-		 *  è¼»è¼³ã¦ã£ã³ããµã¤ãº (snd_cwnd) ã
-		 *  è¼»è¼³ã¦ã£ã³ããµã¤ãºã®ãããå¤ (snd_ssthresh) ããå¤§ããã¨ãã¯
-		 *  è¼»è¼³åé¿å¶å¾¡ãè¡ãã
+		uint32_t cw   = cep->snd_cwnd;	/* cep->snd_cwnd: 輻輳ウィンドサイズ	*/
+		uint32_t incr = cep->maxseg;		/* cep->maxseg:   最大セグメントサイズ	*/
+
+		/*
+		 *  新たに相手が受信確認したデータがあったときは、
+		 *  輻輳ウィンドサイズを大きくする。
+		 *  輻輳ウィンドサイズ (snd_cwnd) が
+		 *  輻輳ウィンドサイズのしきい値 (snd_ssthresh) より大きいときは
+		 *  輻輳回避制御を行い。
 		 *
 		 *    snd_cwnd = snd_cwnd + maxseg * maxseg / snd_cwnd;
 		 *
-		 *  ç­ãããå°ããã¨ãã¯ãã¹ã­ã¼ã¹ã¿ã¼ãå¶å¾¡ãè¡ãã
+		 *  等しいか小さいときは、スロースタート制御を行う。
 		 *
 		 *    snd_cwnd = snd_cwnd + maxseg
@@ -697,5 +675,5 @@
 		 */
 		if (cw > cep->snd_ssthresh)
-			/* è¼»è¼³åé¿å¶å¾¡ */
+			/* 輻輳回避制御 */
 			incr = incr * incr / cw;
 
@@ -706,5 +684,5 @@
 
 		/*
-		 *  éä¿¡ã¦ã£ã³ããããã¡ãããç¸æãåä¿¡ç¢ºèªãããã¼ã¿æ° (acked) ã®ãã¼ã¿ãåé¤ããã
+		 *  送信ウィンドバッファから、相手が受信確認したデータ数 (acked) のデータを削除する。
 		 */
 		if (acked > cep->swbuf_count) {
@@ -719,13 +697,13 @@
 			}
 
-		/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããã§ãããã¨ãç¥ãããã*/
+		/* 送信ウィンドバッファに空きができたことを知らせる。*/
 		syscall(set_flg(cep->snd_flgid, TCP_CEP_EVT_SWBUF_READY));
 
 		/*
-		 *  ééç¢ºèªããã¦ããªãæå°éä¿¡ SEQ (snd_una) ã
-		 *  ä»åééç¢ºèªããã ACK ã¾ã§é²ãã
-		 *  æ¬¡ã®éä¿¡ãã¼ã¿ã® SEQ (snd_nxt) ããæ°ãã
-		 *  ééç¢ºèªããã¦ããªãæå°éä¿¡ SEQ (snd_una)
-		 *  ã¾ã§é²ããã
+		 *  送達確認されていない最小送信 SEQ (snd_una) を
+		 *  今回送達確認された ACK まで進め、
+		 *  次の送信データの SEQ (snd_nxt) も、新しい
+		 *  送達確認されていない最小送信 SEQ (snd_una)
+		 *  まで進める。
 		 */
 		cep->snd_una += acked;
@@ -734,10 +712,8 @@
 
 		/*
-		 *  ç¶æ
-ã«ããåå²
+		 *  状態により分岐
 		 */
 		switch (cep->fsm_state) {
-		case TCP_FSM_FIN_WAIT_1:	/* APP ãçµäºãFIN éä¿¡æ¸ã¿ãACK å¾
-ã¡ */
+		case TCP_FSM_FIN_WAIT_1:	/* APP が終了、FIN 送信済み、ACK 待ち */
 			if (ourfinisacked) {
 				cep->fsm_state = TCP_FSM_FIN_WAIT_2;
@@ -745,11 +721,9 @@
 				}
 			break;
-		case TCP_FSM_CLOSING:		/* åæã¯ã­ã¼ãºãFIN äº¤ææ¸ã¿ãACK å¾
-ã¡ */
+		case TCP_FSM_CLOSING:		/* 同時クローズ、FIN 交換済み、ACK 待ち */
 			if (ourfinisacked) {
 				/*
-				 *  éä¿¡ãã FIN ãç¢ºèªããã¦ããã°ç¶æ
-ãå¤æ´ãã
-				 *  ãã¹ã¦ã®ã¿ã¤ãããªã»ããããå¾ã2MSL ã¿ã¤ããè¨­å®ããã
+				 *  送信した FIN が確認されていれば状態を変更し、
+				 *  すべてのタイマをリセットした後、2MSL タイマを設定する。
 				 */
 				cep->fsm_state = TCP_FSM_TIME_WAIT;
@@ -758,10 +732,9 @@
 				}
 			break;
-		case TCP_FSM_LAST_ACK:		/* APP ãçµäºãACK å¾
-ã¡ */
+		case TCP_FSM_LAST_ACK:		/* APP が終了、ACK 待ち */
 			if (ourfinisacked) {
 				/*
-				 *  éä¿¡ãã FIN ãç¢ºèªããã¦ããã°ãcep ãã¯ã­ã¼ãºãã
-				 *  ã»ã°ã¡ã³ããç ´æ£ããã
+				 *  送信した FIN が確認されていれば、cep をクローズし、
+				 *  セグメントを破棄する。
 				 */
 				cep = tcp_close(cep);
@@ -769,9 +742,8 @@
 				}
 			break;
-		case TCP_FSM_TIME_WAIT:		/* ç¸æããã® FIN åä¿¡æ¸ã¿ãæéå¾
-ã¡ */
+		case TCP_FSM_TIME_WAIT:		/* 相手からの FIN 受信済み、時間待ち */
 			/*
-			 *  ç¸æãã FIN ãåéããããããä¸åº¦2MSL ã¿ã¤ããè¨­å®ãã
-			 *  ACK éä¿¡å¾ãã»ã°ã¡ã³ããç ´æ£ããã
+			 *  相手から FIN が再送された。もう一度2MSL タイマを設定し、
+			 *  ACK 送信後、セグメントを破棄する。
 			 */
 			cep->timer[TCP_TIM_2MSL] = 2 * TCP_TVAL_MSL;
@@ -784,11 +756,11 @@
 
 /*
- *  proc_ack1 -- ACK ã®å¦ç (1)
+ *  proc_ack1 -- ACK の処理 (1)
  *
- *    æ»ãå¤:
- *      RET_OK		æ­£å¸¸
- *      RET_RETURN	æ­£å¸¸ããªã¿ã¼ã³ããã
- *	RET_DROP	ã¨ã©ã¼ãã»ã°ã¡ã³ããç ´æ£ããã
- *	RET_RST_DROP	ã¨ã©ã¼ãRST ãéä¿¡ããã»ã°ã¡ã³ããç ´æ£ããã
+ *    戻り値:
+ *      RET_OK		正常
+ *      RET_RETURN	正常、リターンする。
+ *	RET_DROP	エラー、セグメントを破棄する。
+ *	RET_RST_DROP	エラー、RST を送信し、セグメントを破棄する。
  *
  */
@@ -800,8 +772,7 @@
 
 	switch (cep->fsm_state) {
-	case TCP_FSM_SYN_RECVD:		/* SYN ãåä¿¡ããSYN éä¿¡æ¸ã¿	*/
-
-		/* ç¶æ
-ãå¤æ´ããã*/
+	case TCP_FSM_SYN_RECVD:		/* SYN を受信し、SYN 送信済み	*/
+
+		/* 状態を変更する。*/
 		if (cep->flags & TCP_CEP_FLG_NEED_FIN) {
 			cep->fsm_state  = TCP_FSM_FIN_WAIT_1;
@@ -812,5 +783,5 @@
 			cep->fsm_state  = TCP_FSM_ESTABLISHED;
 
-			/* TCP éä¿¡ç«¯ç¹ããTCP åä»å£ãè§£æ¾ããã*/
+			/* TCP 通信端点からTCP 受付口を解放する。*/
 			cep->rep = NULL;
 
@@ -825,5 +796,5 @@
 			if (cep->rcv_nblk_tfn == TFN_TCP_ACP_CEP) {
 
-				/* ç¸æã®ã¢ãã¬ã¹ãã³ãã¼ããã*/
+				/* 相手のアドレスをコピーする。*/
 
 #if defined(_IP6_CFG) && defined(_IP4_CFG)
@@ -875,5 +846,5 @@
 			if (cep->snd_nblk_tfn == TFN_TCP_CON_CEP) {
 
-				/* ç¸æã®ã¢ãã¬ã¹ãã³ãã¼ããã*/
+				/* 相手のアドレスをコピーする。*/
 				*cep->p_dstaddr = cep->dstaddr;
 
@@ -923,40 +894,35 @@
 
 		/*
-		 *  SDU ããªã FIN ãã¤ãã¦ããªããã°ãtcp_move_ra2rw() ãå¼åºãã
-		 */
-		if (tcph->sum == 0 && (tcph->flags & TCP_FLG_FIN) == 0)		/* tcph->sum ã¯ SDU é· */
+		 *  SDU がなく FIN がついていなければ、tcp_move_ra2rw() を呼出す。
+		 */
+		if (tcph->sum == 0 && (tcph->flags & TCP_FLG_FIN) == 0)		/* tcph->sum は SDU 長 */
 			tcph->flags = tcp_move_ra2rw(cep, tcph->flags);
 		
-		cep->snd_wl1 = tcph->seq - 1;	/* snd_wl1: ã¦ã£ã³ãæ´æ° SEQ */
-
-		/* break; ä¸ã«è½ã¡ãã*/
+		cep->snd_wl1 = tcph->seq - 1;	/* snd_wl1: ウィンド更新 SEQ */
+
+		/* break; 下に落ちる。*/
 	
-	case TCP_FSM_ESTABLISHED:	/* ã³ãã¯ã·ã§ã³éè¨­å®äº		*/
-	case TCP_FSM_FIN_WAIT_1:	/* çµäºãã¦ãFIN éä¿¡æ¸ã¿		*/
-	case TCP_FSM_FIN_WAIT_2:	/* çµäºãFIN ä¼éç¢ºèªåä¿¡ãFINå¾
-ã¡*/
-	case TCP_FSM_CLOSE_WAIT:	/* FIN åä¿¡ãã¯ã­ã¼ãºå¾
-ã¡		*/
-	case TCP_FSM_CLOSING:		/* çµäºãFIN äº¤ææ¸ã¿ãACK å¾
-ã¡	*/
-	case TCP_FSM_LAST_ACK:		/* FIN åä¿¡ãçµäºãACK å¾
-ã¡	*/
-	case TCP_FSM_TIME_WAIT:		/* çµäºãæéå¾
-ã¡		*/
+	case TCP_FSM_ESTABLISHED:	/* コネクション開設完了		*/
+	case TCP_FSM_FIN_WAIT_1:	/* 終了して、FIN 送信済み		*/
+	case TCP_FSM_FIN_WAIT_2:	/* 終了、FIN 伝達確認受信、FIN待ち*/
+	case TCP_FSM_CLOSE_WAIT:	/* FIN 受信、クローズ待ち		*/
+	case TCP_FSM_CLOSING:		/* 終了、FIN 交換済み、ACK 待ち	*/
+	case TCP_FSM_LAST_ACK:		/* FIN 受信、終了、ACK 待ち	*/
+	case TCP_FSM_TIME_WAIT:		/* 終了、時間待ち		*/
 
 		if (SEQ_LE(tcph->ack, cep->snd_una)) {
 
 			/*
-			 *  åä¿¡ç¢ºèª ACK ã æªç¢ºèªã®æå°éä¿¡ SEQ (snd_una) ã¨åããä»¥åã®ã¨ãã®å¦ç
-			 *  ã¤ã¾ããå¤éã« ACK ãåä¿¡ãããã¨ãæå³ãã¦ããã
+			 *  受信確認 ACK が 未確認の最小送信 SEQ (snd_una) と同じか以前のときの処理
+			 *  つまり、多重に ACK を受信したことを意味している。
 			 */
 
-			if (tcph->sum == 0 && tcph->win == cep->snd_wnd) {	/* tcph->sum ã¯ SDU é· */
+			if (tcph->sum == 0 && tcph->win == cep->snd_wnd) {	/* tcph->sum は SDU 長 */
 
 				/*
-				 *  SDU ããªããç¸æã®ã¦ã£ã³ããµã¤ãºãå¤æ´ããã¦ããªããã°ã
-				 *  ãã§ã«éä¿¡ããã»ã°ã¡ã³ãã®ä¸­ã§ãACK (tcph->ack) ã¨
-				 *  åã SEQ ããå§ã¾ãã»ã°ã¡ã³ãããéä¸­ã§æ¶å¤±ããå¯è½æ§ãããã
-				 *  ãã®å ´åã¯ãé«éåè»¢éã¨é«éãªã«ããªãè¡ãã
+				 *  SDU がなく、相手のウィンドサイズが変更されていなければ、
+				 *  すでに送信したセグメントの中で、ACK (tcph->ack) と
+				 *  同じ SEQ から始まるセグメントが、途中で消失した可能性がある。
+				 *  この場合は、高速再転送と高速リカバリを行う。
 				 */
 				NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_DUP_ACKS], 1);
@@ -965,7 +931,7 @@
 
 					/*
-					 *  åéã¿ã¤ããã»ããããã¦ããªãã¨ãã
-					 *  ã¾ãã¯ãACK (tcph->ack) ã¨æªç¢ºèªã®æå°éä¿¡ SEQã
-					 *  ä¸è´ããªãã¨ãã¯ãå¤é ACK æ°ã 0 ã«ããã
+					 *  再送タイマがセットされていないとき、
+					 *  または、ACK (tcph->ack) と未確認の最小送信 SEQが
+					 *  一致しないときは、多重 ACK 数を 0 にする。
 					 */
 					cep->dupacks = 0;
@@ -975,15 +941,15 @@
 
 					/*
-					 *  å¤é ACK æ°ããããå¤ (æ¨æº 3) ã«ãªã£ãã
-					 *  é«éåè»¢éå¦çãéå§ããã
+					 *  多重 ACK 数がしきい値 (標準 3) になったら
+					 *  高速再転送処理を開始する。
 					 */
 					uint_t		win;
 
 					/*
-					 *  è¼»è¼³ã¦ã£ã³ããµã¤ãº(snd_cwnd)ã®ãããå¤ãè¨­å®ããã
+					 *  輻輳ウィンドサイズ(snd_cwnd)のしきい値を設定する。
 					 *
-					 *    ç¸æã®åä¿¡å¯è½ã¦ã£ã³ããµã¤ãº (snd_wnd) ã
-					 *    è¼»è¼³ã¦ã£ã³ããµã¤ãº (snd_cwnd) ã® 1/2ã
-					 *    ãã ãã2 * maxseg ä»¥ä¸ã
+					 *    相手の受信可能ウィンドサイズ (snd_wnd) か
+					 *    輻輳ウィンドサイズ (snd_cwnd) の 1/2。
+					 *    ただし、2 * maxseg 以上。
 					 *
 					 */
@@ -996,9 +962,9 @@
 					cep->snd_ssthresh = win * cep->maxseg;
 
-					/* åéã¿ã¤ãã¨å¾å¾©æéããªã»ããããã*/
+					/* 再送タイマと往復時間をリセットする。*/
 					cep->timer[TCP_TIM_REXMT] = 0;
 					cep->rtt = 0;
 
-					/* æ¶å¤±ããã»ã°ã¡ã³ããéä¿¡ããã*/
+					/* 消失したセグメントを送信する。*/
 					cep->snd_old_nxt = cep->snd_nxt;
 					cep->snd_nxt     = tcph->ack;
@@ -1006,7 +972,6 @@
 
 					/*
-					 *  snd_nxt ãå
-ã«æ»ãããã«è¨­å®ãã¦
-					 *  éä¿¡ãæç¤ºããã
+					 *  snd_nxt を元に戻すように設定して
+					 *  送信を指示する。
 					 */
 					cep->flags |=  TCP_CEP_FLG_POST_OUTPUT |
@@ -1016,5 +981,5 @@
 					sig_sem(SEM_TCP_POST_OUTPUT);
 
-					/* è¼»è¼³ã¦ã£ã³ããµã¤ãºãæ´æ°ããã*/
+					/* 輻輳ウィンドサイズを更新する。*/
 					cep->snd_cwnd = (uint16_t)(cep->snd_ssthresh
 					                   + cep->maxseg * cep->dupacks);
@@ -1026,11 +991,10 @@
 
 					/*
-					 *  å¤é ACK æ°ããããå¤ (æ¨æº 3) ãè¶
-ããã
-					 *  è¼»è¼³ã¦ã£ã³ããµã¤ãºãå¢å ããªããåéããã
+					 *  多重 ACK 数がしきい値 (標準 3) を超えたら
+					 *  輻輳ウィンドサイズを増加しながら再送する。
 					 */
 					cep->snd_cwnd += cep->maxseg;
 
-					/* éä¿¡ãæç¤ºããã*/
+					/* 送信を指示する。*/
 					cep->flags |=  TCP_CEP_FLG_POST_OUTPUT;
 					sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1045,9 +1009,9 @@
 
 		/*
-		 *  åä¿¡ç¢ºèª ACK ã æªç¢ºèªã®æå°éä¿¡ SEQ (snd_una) ä»¥éã®ã¨ãã®å¦ç
+		 *  受信確認 ACK が 未確認の最小送信 SEQ (snd_una) 以降のときの処理
 		 */
 		if (cep->dupacks >= MAX_TCP_REXMT_THRESH && cep->snd_cwnd > cep->snd_ssthresh)
 		 	/*
-			 *  é«éåè»¢éãè¡ã£ã¦ããã¨ãã¯ãè¼»è¼³ã¦ã£ã³ããµã¤ãºããããå¤ã¾ã§æ»ãã
+			 *  高速再転送を行っていたときは、輻輳ウィンドサイズをしきい値まで戻す。
 			 */
 			cep->snd_cwnd = (uint16_t)cep->snd_ssthresh;
@@ -1057,6 +1021,5 @@
 		if (SEQ_GT(tcph->ack, cep->snd_max))
 			/*
-			 *  åä¿¡ãã ACK ãéä¿¡ããæå¤§ SEQ ãè¶
-ãã¦ããã¨ãã®å¦ç
+			 *  受信した ACK が送信した最大 SEQ を超えていたときの処理
 			 */
 			return drop_after_ack(input, cep, thoff);
@@ -1064,5 +1027,5 @@
 		if (cep->flags & TCP_CEP_FLG_NEED_SYN) {
 			/*
-			 *  SYN éä¿¡è¦æ±ãåãæ¶ãã¦ãæªç¢ºèªã®æå°éä¿¡ SEQ ãé²ããã
+			 *  SYN 送信要求を取り消して、未確認の最小送信 SEQ を進める。
 			 */
 			cep->flags &= ~TCP_CEP_FLG_NEED_SYN;
@@ -1077,8 +1040,7 @@
 
 /*
- *  update_wnd -- ã¦ã£ã³ããµã¤ãºãæ´æ°ããã
+ *  update_wnd -- ウィンドサイズを更新する。
  *
- *    æ»ãå¤: éä¿¡ãå¿
-è¦ãªã true ãè¿ãã
+ *    戻り値: 送信が必要なら true を返す。
  */
 
@@ -1088,12 +1050,12 @@
 
 	/*
-	 *  æ´æ°æ¡ä»¶
+	 *  更新条件
 	 *
-	 *    ACK ãã©ã°ãã»ããããã¦ãã &&
-	 *    (ååã¦ã£ã³ããæ´æ°ãã SEQ (snd_wl1) ã SEQ ããå ||
-	 *     ååã¦ã£ã³ããæ´æ°ãã SEQ (snd_wl1) ã SEQ ã¨åã &&
-	 *     (ååã¦ã£ã³ããæ´æ°ãã ACK (snd_wl2) ã ACK ããå ||
-	 *      (ååã¦ã£ã³ããæ´æ°ãã ACK (snd_wl2) ã ACK ã¨åã &&
-	 *       WIN ãç¸æã®åä¿¡å¯è½ã¦ã£ã³ããµã¤ãº (snd_wnd) ããå¤§ãã
+	 *    ACK フラグがセットされている &&
+	 *    (前回ウィンドを更新した SEQ (snd_wl1) が SEQ より前 ||
+	 *     前回ウィンドを更新した SEQ (snd_wl1) が SEQ と同じ &&
+	 *     (前回ウィンドを更新した ACK (snd_wl2) が ACK より前 ||
+	 *      (前回ウィンドを更新した ACK (snd_wl2) が ACK と同じ &&
+	 *       WIN が相手の受信可能ウィンドサイズ (snd_wnd) より大きい
 	 *       )
 	 *      )
@@ -1111,5 +1073,5 @@
 
 		if (cep->snd_wnd > cep->max_sndwnd)
-			/* ä»ã¾ã§ã®æå¤§éä¿¡ã¦ã£ã³ããµã¤ãºãæ´æ°ããã*/
+			/* 今までの最大送信ウィンドサイズを更新する。*/
 			cep->max_sndwnd = cep->snd_wnd;
 
@@ -1119,13 +1081,12 @@
 
 			/*
-			 *  éä¿¡ã¦ã£ã³ããããã¡ç¨ã®ãããã¯ã¼ã¯ãããã¡å²ãå½ã¦ä¸­ã§ã
-			 *  ç¸æã®åä¿¡ã¦ã£ã³ããç©ºãã®ãå¾
-ã£ã¦ããã¨ãã®å¦ç
+			 *  送信ウィンドバッファ用のネットワークバッファ割り当て中で、
+			 *  相手の受信ウィンドが空くのを待っているときの処理
 			 */
 			if (cep->snd_wnd > 0) {
 
 				/*
-				 *  ç¸æã®åä¿¡ã¦ã£ã³ããç©ºããã¨ãã¯ã
-				 *  éä¿¡ã¦ã£ã³ããããã¡ç¨ã®ãããã¯ã¼ã¯ãããã¡å²ãå½ã¦ãåéããã
+				 *  相手の受信ウィンドが空いたときは、
+				 *  送信ウィンドバッファ用のネットワークバッファ割り当てを再開する。
 				 */
 				cep->flags = (cep->flags & ~TCP_CEP_FLG_WBCS_MASK)
@@ -1144,5 +1105,5 @@
 
 /*
- *  proc_urg -- ç·æ¥ãã¼ã¿ã¤ãã®ã»ã°ã¡ã³ãã®å¦ç
+ *  proc_urg -- 緊急データつきのセグメントの処理
  */
 
@@ -1155,5 +1116,5 @@
 	    TCP_FSM_HAVE_RCVD_FIN(cep->fsm_state) == 0) {
 
-		/* ç·æ¥ãã¼ã¿ã¤ãã®ã»ã°ã¡ã³ãã®å¦ç */
+		/* 緊急データつきのセグメントの処理 */
 
 		NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_URG_SEGS], 1);
@@ -1161,7 +1122,6 @@
 
 			/*
-			 *  ç·æ¥ãã¤ã³ã¿ã®ä½ç½®ãåä¿¡ã¦ã£ã³ããããã¡ã®
-			 *  ç¯å²ãè¶
-ããã¨ãã¯ä½ãããªãã
+			 *  緊急ポインタの位置が受信ウィンドバッファの
+			 *  範囲を超えるときは何もしない。
 			 */
 			tcph->urp    = 0;
@@ -1170,13 +1130,12 @@
 
 		if (SEQ_GT(tcph->seq + tcph->urp, cep->rcv_up))
-			/* ç·æ¥ãã¤ã³ã¿ãæ´æ°ãããã¨ãã®å¦ç */
+			/* 緊急ポインタが更新されたときの処理 */
 			cep->rcv_up = tcph->seq + tcph->urp;
 
-		if ((tcph->flags & TCP_FLG_URG) && (tcph->urp + TCP_CFG_URG_OFFSET) < tcph->sum) {	/* tcph->sum ã¯ TCP ã® SDU é· */
+		if ((tcph->flags & TCP_FLG_URG) && (tcph->urp + TCP_CFG_URG_OFFSET) < tcph->sum) {	/* tcph->sum は TCP の SDU 長 */
 
 			/*
-			 *  ç·æ¥ãã¤ã³ã¿ã®ä½ç½®ããä»ååä¿¡ããã»ã°ã¡ã³ãå
-ã®å ´åã¯ã
-			 *  ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã
+			 *  緊急ポインタの位置が、今回受信したセグメント内の場合は、
+			 *  コールバック関数を呼び出す。
 			 */
 			cep->urg_tcph = tcph;
@@ -1201,6 +1160,5 @@
 
 			if (cep->urg_tcph != NULL) {
-				/* ã³ã¼ã«ããã¯é¢æ°å
-ã§ tcp_rcv_oob() ãå¼åºããªãã£ãã*/
+				/* コールバック関数内で tcp_rcv_oob() を呼出さなかった。*/
 				cep->urg_tcph = NULL;
 				tcph->urp = 0;
@@ -1208,7 +1166,6 @@
 			else {
 				/* 
-				 *  ã³ã¼ã«ããã¯é¢æ°å
-ã§ tcp_rcv_oob() ãå¼åºããæã¯ã
-				 *  SDU é·ã®è£æ­£å¤ãè¨­å®ããã
+				 *  コールバック関数内で tcp_rcv_oob() を呼出した時は、
+				 *  SDU 長の補正値を設定する。
 				 */
 				tcph->urp = 1;
@@ -1237,9 +1194,9 @@
 
 /*
- *  drop_after_ack -- åä¿¡ã»ã°ã¡ã³ããç ´æ£ããå¾ãACK ãè¿ã (æ³¨æ: ååã¨ã¯åã£ã¦ããªã)ã
+ *  drop_after_ack -- 受信セグメントを破棄した後、ACK を返す (注意: 名前とは合っていない)。
  *
- *    æ»ãå¤:
- *      RET_RETURN	æ­£å¸¸ããªã¿ã¼ã³ããã
- *	RET_RST_DROP	ã¨ã©ã¼ãRST ãéä¿¡ããã»ã°ã¡ã³ããç ´æ£ããã
+ *    戻り値:
+ *      RET_RETURN	正常、リターンする。
+ *	RET_RST_DROP	エラー、RST を送信し、セグメントを破棄する。
  */
 
@@ -1250,9 +1207,8 @@
 
 	/*
-	 *    SYN åä¿¡ç¶æ
-ã§ãACK ãééç¢ºèªããã¦ããªãæå°éä¿¡ SEQ (snd_una) ãã
-	 *    åã®å¤ããéä¿¡ãããæå¤§ SEQ (snd_max) ããå¾ã®å¤ã®å ´åã¯ãç¸æã« RST ã
-	 *    éã£ã¦çµäºãããããã¯ã"LAND" DoS æ»æã¸ã®é²å¾¡ã§ãããå½é ããã SYN
-	 *    ã»ã°ã¡ã³ããéä¿¡ãã¤ã¥ãããã¼ãéã§ã® ACK ã¹ãã¼ã ãé²ãã
+	 *    SYN 受信状態で、ACK が送達確認されていない最小送信 SEQ (snd_una) より
+	 *    前の値か、送信された最大 SEQ (snd_max) より後の値の場合は、相手に RST を
+	 *    送って終了する。これは、"LAND" DoS 攻撃への防御であり、偽造された SYN
+	 *    セグメントを送信しつづけるポート間での ACK ストームを防ぐ。
 	 */
 	if (cep->fsm_state == TCP_FSM_SYN_RECVD && (tcph->flags & TCP_FLG_ACK) &&
@@ -1263,5 +1219,5 @@
 	syscall(rel_net_buf(input));
 
-	/* éä¿¡ãæç¤ºããã*/
+	/* 送信を指示する。*/
 	cep->flags |=  TCP_CEP_FLG_ACK_NOW | TCP_CEP_FLG_POST_OUTPUT;
 	sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1270,5 +1226,5 @@
 
 /*
- *  close_connection -- ã³ãã¯ã·ã§ã³éæ¾å¦çãç¸æãã FIN ãåä¿¡ããã
+ *  close_connection -- コネクション開放処理、相手から FIN を受信した。
  */
 
@@ -1295,17 +1251,15 @@
 
 	switch (cep->fsm_state) {
-	case TCP_FSM_SYN_RECVD:		/* SYN ãåä¿¡ããSYN éä¿¡æ¸ã¿	*/
-	case TCP_FSM_ESTABLISHED:	/* ã³ãã¯ã·ã§ã³éè¨­å®äº		*/
+	case TCP_FSM_SYN_RECVD:		/* SYN を受信し、SYN 送信済み	*/
+	case TCP_FSM_ESTABLISHED:	/* コネクション開設完了		*/
 		cep->fsm_state = TCP_FSM_CLOSE_WAIT;
 		syscall(set_flg(cep->snd_flgid, TCP_CEP_EVT_RWBUF_READY));
 		break;
 
-	case TCP_FSM_FIN_WAIT_1:	/* APP ãçµäºãFIN éä¿¡æ¸ã¿ãACK å¾
-ã¡ */
+	case TCP_FSM_FIN_WAIT_1:	/* APP が終了、FIN 送信済み、ACK 待ち */
 		cep->fsm_state = TCP_FSM_CLOSING;
 		break;
 
-	case TCP_FSM_FIN_WAIT_2:	/* ç¸æããã® FIN å¾
-ã¡ */
+	case TCP_FSM_FIN_WAIT_2:	/* 相手からの FIN 待ち */
 		cep->fsm_state = TCP_FSM_TIME_WAIT;
 		tcp_cancel_timers(cep);
@@ -1313,9 +1267,7 @@
 
 		/*
-		 *  FIN WAIT 2 ç¶æ
-ã§ã¯ã
-		 *  åä¿¡ã¯å¯è½ã§ãããããã§ã«éä¿¡ã¯çµäºãã¦ããã
-		 *  ç¸æã®éä¿¡ãçµäºããã®ã§ãå
-¥åã¿ã¹ã¯ã®ã¿èµ·åºããã
+		 *  FIN WAIT 2 状態では、
+		 *  受信は可能であるが、すでに送信は終了している。
+		 *  相手の送信も終了したので、入力タスクのみ起床する。
 		 */
 		syscall(set_flg(cep->snd_flgid, TCP_CEP_EVT_SWBUF_READY));
@@ -1323,5 +1275,5 @@
 #if defined(NUM_TCP_TW_CEP_ENTRY) && NUM_TCP_TW_CEP_ENTRY > 0
 
-		/* ç¸æããã® FIN ã«å¯¾ãã¦å¿ç­ãè¿ãã*/
+		/* 相手からの FIN に対して応答を返す。*/
 		tcp_respond(NULL, cep, cep->rcv_nxt, cep->snd_una,
 		            cep->rbufsz - cep->rwbuf_count, TCP_FLG_ACK);
@@ -1330,8 +1282,6 @@
 
 		/*
-		 *  å¿
-è¦ãªæ
-å ±ã Time Wait ç¨ TCP éä¿¡ç«¯ç¹ã«ç§»ãã¦ã
-		 *  æ¨æºã® TCP éä¿¡ç«¯ç¹ãéæ¾ããã
+		 *  必要な情報を Time Wait 用 TCP 通信端点に移して、
+		 *  標準の TCP 通信端点を開放する。
 		 */
 		tcp_move_twcep(cep);
@@ -1341,6 +1291,5 @@
 		break;
 
-	case TCP_FSM_TIME_WAIT:		/* ç¸æããã® FIN åä¿¡æ¸ã¿ãæéå¾
-ã¡ */
+	case TCP_FSM_TIME_WAIT:		/* 相手からの FIN 受信済み、時間待ち */
 		cep->timer[TCP_TIM_2MSL] = 2 * TCP_TVAL_MSL;
 		break;
@@ -1349,9 +1298,7 @@
 
 /*
- *  tcp_input -- TCP ã®å
-¥åé¢æ°
+ *  tcp_input -- TCP の入力関数
  *
- *	æ³¨æ: input ã«ã¯ IF ãããã¨ IP ããããå
-é ­ã«ããã
+ *	注意: input には IF ヘッダと IP ヘッダが先頭にある。
  */
 
@@ -1379,5 +1326,5 @@
 	NET_COUNT_MIB(tcp_stats.tcpInSegs, 1);
 
-	/* ãããé·ããã§ãã¯ããã*/
+	/* ヘッダ長をチェックする。*/
 	if (input->len < IF_IP_TCP_HDR_SIZE(input)) {
 		NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_BAD_HEADERS], 1);
@@ -1387,5 +1334,5 @@
 	tcph = GET_TCP_HDR(input, *offp);
 
-	seglen  = input->len - *offp;				/* TCP ã®ã»ã°ã¡ã³ãé· */
+	seglen  = input->len - *offp;				/* TCP のセグメント長 */
 
 	if (IN_CKSUM(input, IPPROTO_TCP, *offp, (uint_t)seglen) != 0) {
@@ -1394,19 +1341,19 @@
 		}
 
-	/* TCP ãããé·ããã§ãã¯ããã*/
+	/* TCP ヘッダ長をチェックする。*/
 	if (TCP_HDR_LEN(tcph->doff) < TCP_HDR_SIZE || TCP_HDR_LEN(tcph->doff) > seglen) {
 		NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_BAD_HEADERS], 1);
 		goto drop;
 		}
-	tcph->sum = seglen - TCP_HDR_LEN(tcph->doff);		/* ãããã tcph->sum ã¯ TCP ã® SDU é· */
+	tcph->sum = seglen - TCP_HDR_LEN(tcph->doff);		/* ここから tcph->sum は TCP の SDU 長 */
 
 	/*
-	 *  SYN ã¨ FIN ã®ä¸¡ããããã»ããããã¦ããã°ç ´æ£ãããnmap ç­ã®å¯¾ç­
-	 *  ãã ããRFC1644 T/TCP æ¡å¼µæ©è½ã¨ç«¶åããã
+	 *  SYN と FIN の両ビットがセットされていれば破棄する。nmap 等の対策
+	 *  ただし、RFC1644 T/TCP 拡張機能と競合する。
 	 */
 	if ((tcph->flags & (TCP_FLG_SYN | TCP_FLG_FIN)) == (TCP_FLG_SYN | TCP_FLG_FIN))
 		goto drop;
 
-	/* ãããã¯ã¼ã¯ãªã¼ãã¼ãããã¹ããªã¼ãã¼ã«å¤æããã*/
+	/* ネットワークオーダーからホストオーダーに変換する。*/
 
 	NTOHL(tcph->seq);
